#include "fonts.h"


#include <sstream>
#include <deque>
#include <iostream>

using namespace std;

#ifndef MYSTR_H_INCLUDED
#define MYSTR_H_INCLUDED


template< class Type >
string ToString( Type value ) {
   stringstream s;
   s << value;
   return s.str();
}

int compare_string(const char *string1, const char *string2);
int c_char_to_i(char c);
char c_i_to_char(int c);
char *c_i_to_str(int c, int size);
int integer_size(int n);
int string_includes(char *str, char *obj);

extern char paragraph[256][128];

std::deque<std::string> turn_to_paragraph(GameFont *f, std::string msg, int w);

void turn_lowspaces_to_spaces(char *str);

bool compare_wildcard(std::string str1, std::string str2);


#endif
